<!DOCTYPE html>
<html lang="en">

<head>

    <!-- font -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=League+Spartan:wght@100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap"
        rel="stylesheet">

    <!-- font -->

    <!-- icon -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/css/all.min.css"
        integrity="sha512-DTOQO9RWCH3ppGqcWaEA1BIZOC6xxalwEsw9c2QQeAIftl+Vegovlnee1c9QX4TctnWMn13TZye+giMm8e2LwA=="
        crossorigin="anonymous" referrerpolicy="no-referrer" />
    <!-- icon -->

    <!-- favicons -->
    <link rel="apple-touch-icon" sizes="180x180" href="assets/favicon//apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="assets/favicon//favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="assets/favicon//favicon-16x16.png">
    <link rel="manifest" href="assets/favicon/site.webmanifest">
    <link rel="mask-icon" href="assets/favicon//safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
    <!-- favicons -->
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Industry Movers Corp.</title>

    <!-- bootstrap minify -->
    <link rel="stylesheet" href="vendor/bootstrap-4.6.2-dist/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/style.css">
    <style>
        .dredger {
            margin-bottom: -9%;
        }
        .w-30 {
            width: 30%;
        }
    </style>
    <!-- bootstrap minify -->
</head>

<body>
    <header class="custom-border-bottom-blue position-relative">
        <nav class="container-fluid navbar navbar-expand-lg navbar-light bg-white" id="navbar-main">
            <a class="navbar-brand" href="index.html">
                <img src="assets/logo/imc-logo.png" class="logo-sm logo-md logo-lg logo-xl" alt="">
            </a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse justify-content-end" id="navbarNav">
                <ul class="navbar-nav" style="font-size: 21px;">
                    <li class="nav-item ">
                        <a class="nav-link" href="index.html">Home</a>
                    </li>
                    <li class="nav-item active">
                        <a class="nav-link" href="aboutus.html">About Us</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Investors</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="news.html">News</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="services.html">Services</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="projects.html">Projects</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="contactus.html">Contact Us</a>
                    </li>
                </ul>
            </div>
        </nav>
        <!-- <hr class="custom-border-bottom-blue-50"> -->
    </header>

    <section class="w-100 position-relative head-sm head-md head-lg head-xl">
        <div class="h-100 d-flex justify-content-center align-items-center background-home">
            <div class="text-center mt-5 mb-5">
                <h1 class="text-uppercase mb-0 imc-text-dark-blue"><b>about us</b></h1>
            </div>
        </div>
    </section>



    <section class="w-100 position-relative custom-border-bottom-blue pb-5 mb-3">
        <div class="h-100 w-100 mt-4 container">
            <div class="row">

                <div
                    class="col-sm-12 col-md-12 col-lg text-left d-flex align-items-sm-start align-items-md-start align-items-lg-center">
                    <div class="mr-4">
                        <i class="fa fa-eye fa-4x imc-text-dark-blue"></i>
                    </div>
                    <div>
                        <h1 class="mb-0 imc-text-gold"><b>Our Vision</b></h1>
                        <p class="mb-4">
                            To be the worldwide leading maritime and logistics company
                            setting premium standards and sustainable innovative
                            industrial shipping solutions.
                        </p>
                    </div>
                </div>
                <div
                    class="col-sm-12 col-md-12 col-lg text-left d-flex align-items-sm-start align-items-md-start align-items-lg-center">
                    <div class="mr-4">
                        <i class="fas fa-bullseye fa-4x imc-text-dark-blue"></i>
                    </div>
                    <div>
                        <h1 class="mb-0 imc-text-gold"><b>Our Mission</b></h1>

                        <p class="mb-0">
                            We are a maritime and logistics company that promotes premium services to our valued
                            customer
                            and deals fairly with our stakeholders in order to build a relationship that is mutually
                            beneficial.
                        </p>
                    </div>
                </div>
            </div>


            <div class="text-center mt-5 mb-2 pt-4">
                <h1 class="text-uppercase mb-0 imc-text-dark-blue"><b>Core Values</b></h1>
            </div>

            <div class="row">
                <div
                    class="col-sm-12 col-md- col-lg text-left d-flex align-items-sm-start align-items-md-start align-items-lg-center ">
                    <div class="mr-3">
                        <i class="fa fa-helmet-safety fa-4x imc-text-dark-blue"></i>
                    </div>
                    <div>
                        <h2 class="text-uppercase mb-0"><b><span class="imc-text-gold"
                                    style="font-size: 43px;">S</span>AFETY</b></h2>

                        <p class="">
                            We firmly believe that safety must be in the center of the entire operation. Following rules
                            and
                            vigilance in every action is a top priority to achieve ZERO ACCIDENT in both our owned and
                            managed
                            vessels.
                        </p>
                    </div>
                </div>


                <div class="col-sm-0 col-lg">
                </div>
            </div>

            <div class="row">
                <div class="col-sm-0 col-lg">
                </div>

                <div
                    class="col-sm-12 col-lg text-left d-flex align-items-sm-start align-items-md-start align-items-lg-center ">
                    <div class="mr-2">
                        <i class="fa fa-balance-scale fa-4x imc-text-dark-blue"></i>
                    </div>
                    <div>
                        <h2 class="text-uppercase mb-0"><b><span class="imc-text-gold"
                                    style="font-size: 43px;">H</span>IGH LEVEL OF ACCOUNTABILITY</b></h2>

                        <p class="">
                            From ourselves, our colleagues, the company, and to our clients. Each employee is valued
                            and
                            motivated to reach the highest level of excellence. Treating and respecting each other's
                            opinions and beliefs for the foundation of our ONE TEAM working environment.
                        </p>
                    </div>
                </div>
            </div>

            <div class="row">
                <div
                    class="col-sm-12 col-lg text-left d-flex align-items-sm-start align-items-md-start align-items-lg-center">
                    <div class="mr-4">
                        <i class="fa fa-tasks fa-4x imc-text-dark-blue"></i>
                    </div>
                    <div>
                        <h2 class="text-uppercase mb-0"><b><span class="imc-text-gold"
                                    style="font-size: 43px;">I</span>NNOVATIVE SOLUTION</b></h2>

                        <p class="">
                            We strive to find ways. We are open for alternative ideas to achieve our greater goal.
                        </p>
                    </div>
                </div>
                <div class="col-sm-0 col-lg">

                </div>
            </div>

            <div class="row">
                <div class="col-sm-0 col-lg">
                </div>
                <div
                    class="col-sm-12 col-lg  text-left d-flex align-items-sm-start align-items-md-start align-items-lg-center">
                    <div class="mr-4">
                        <i class="fas fa-heart fa-4x imc-text-dark-blue"></i>
                    </div>
                    <div>
                        <h2 class="text-uppercase mb-0"><b><span class="imc-text-gold"
                                    style="font-size: 43px;">P</span>ASSION</b></h2>

                        <p class="">
                            Believing that trust, honesty, and respect are essential for a
                            unified team environment, we interact with our stakeholders
                            with professionalism, ethics, and integrity.
                        </p>
                    </div>
                </div>
            </div>


        </div>
    </section>

    <section class="w-100 position-relative pt-2 pb-4">
        <div class="w-100 mt-3 mb-3">
            <div class="text-center">
                <h1 class="text-uppercase mb-0 imc-text-dark-blue"><b>Our Fleet</b></h1>
            </div>

            <div class="container-fluid">
                <div id="categoryContainer" class="row align-items-end text-center"></div>

            </div>
        </div>
    </section>

    <div id="data-privacy-popup" data-backdrop="static" data-keyboard="false" class="modal">
        <div class="modal-dialog modal-dialog-centered" style="align-items: end!important;">
            <div class="modal-content">
                <div class="modal-body">
                    <h3 class="imc-text-dark-blue"><b>Industry Movers Corp.</b></h3>
                    <h5 class="text-center">
                        Data Privacy Notice
                    </h5>
                    <p>
                        Read our <a href="privacypolicy.html">Privacy Notice</a> to know how we use your data.
                    </p>
                    <div class="text-right">
                        <button id="accept-button" type="button" class="btn btn-secondary">Accept</button>
                        <a id="accept-button" href="javascript:close_window();" class="btn btn-secondary">I Reject</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- Modal -->
<div class="modal fade" id="vesselsModal" tabindex="-1" aria-labelledby="vesselsModalTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg">
        <div class="modal-content">
            <div class="modal-header mb-1">
                <h5 class="modal-title mb-0" id="vesselsModalTitle"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                  </button>
            </div>
            <div class="modal-body" id="vesselsModalBody">
            </div>
        </div>
    </div>
</div>

    <footer class="position-relative imc-bg-dark-blue text-white pt-5">
        <div class="container w-100">
            <div class="row">
                <div class="col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-2">
                    <div class="nav flex-column mb-2">
                        <p class="text-uppercase mb-0"><b>Information</b></p>
                        <a href="privacypolicy.html" class="text-light mb-0 pb-0 pl-0">Privacy Policy</a>
                        <a href="termscondition.html" class="text-light mb-0 pb-0 pl-0">Terms and Condition</a>
                    </div>
                    <div class="nav flex-column">
                        <p class="text-uppercase mb-1"><b>Social Media</b></p>
                        <a href="https://www.facebook.com/profile.php?id=61553002553159" target="_blank"
                            class="pb-0 text-light text-decoration-none"><i class="fab fa-facebook-f fa-1x fa-fw"></i> Facebook</a>
                        <a href="https://www.linkedin.com/company/industry-movers-corp/" target="_blank"
                            class="pb-0 text-light text-decoration-none"><i class="fab fa-linkedin-in fa-1x fa-fw"></i> LinkedIn</a>
                        <a href="https://www.youtube.com/watch?v=B4ooX6dIBFU" target="_blank"
                            class="pb-0 text-light text-decoration-none"><i class="fab fa-youtube fa-1x fa-fw"></i> Youtube</a>
                    </div>
                </div>
                <div class="col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-2">
                    <div class="nav flex-column">
                        <p class="text-uppercase mb-0"><b>Sitemap</b></p>
                        <a href="index.html" class="text-light mb-0 pb-0 pl-0">Home</a>
                        <a href="aboutus.html" class="text-light mb-0 pb-0 pl-0">About Us</a>
                        <a href="news.html" class="text-light mb-0 pb-0 pl-0">News</a>
                        <a href="services.html" class="text-light mb-0 pb-0 pl-0">Services</a>
                        <a href="contactus.html" class="text-light mb-0 pb-0 pl-0">Contact Us</a>
                    </div>
                </div>
                <div class="col-sm-6 col-md-6 col-lg-4 col-xl-4 mb-2">
                    <p class="text-uppercase mb-0"><b>office address</b></p>
                    <p class="w-75 mb-2">
                        1423 The Mondrian Bldg., Pablo Ocampo, Ext. San Antonio Village, Makati City
                    </p>
                    <p class="text-uppercase mb-0">
                        <b>
                            phone number
                        </b>
                    </p>
                    <p>
                        (02) 7003-5009
                    </p>
                    <p class="text-uppercase mb-0">
                        <b>
                            email address
                        </b>
                    </p>
                    <p>
                        commercial@industrymoverscorp.com
                    </p>
                </div>
            </div>
        </div>
        <div class="w-100 imc-bg-gold text-center text-white pt-3 pb-3">
            <p class="mb-0"><b>Copyright &#169; 2024 Industry Movers Corp. All rights reserved.</b></p>
        </div>
    </footer>


    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js"></script>
    <script src="vendor/bootstrap-4.6.2-dist/js/bootstrap.bundle.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.1/js/all.min.js"
        integrity="sha512-GWzVrcGlo0TxTRvz9ttioyYJ+Wwk9Ck0G81D+eO63BaqHaJ3YZX9wuqjwgfcV/MrB2PhaVX9DkYVhbFpStnqpQ=="
        crossorigin="anonymous" referrerpolicy="no-referrer"></script>
    <script src="js/script.js"></script>

    <script>
$(document).ready(function() {
    function animateCount(countElement, targetCount) {
    $({ count: 0 }).animate({ count: targetCount }, {
        duration: 2500, // 2.5 seconds
        easing: 'linear',
        step: function() {
            countElement.text(Math.ceil(this.count));
        },
        complete: function() {
            countElement.text(targetCount);
        }
    });
}
    $.getJSON('data.json', function(data) {
        const categories = data.vesselsCategory;
        const categoryContainer = $('#categoryContainer');
        categoryContainer.empty();

categories.forEach(category => {
    const colDiv = $('<div>').addClass('col-sm-6 col-md-6 col-lg linker');
    const img = $('<img>').attr({
        src: category.imageSrc,
        class: 'w-75 svg-filter',
        alt: category.name,
        loading: 'lazy'
    });
    const h4 = $('<h4>').addClass('mt-3').text(category.name);
    const h1 = $('<h1>').addClass('count imc-text-dark-blue text-uppercase mt-2 font-weight-bold')
                       .attr('data-target', category.dataTarget)
                       .text(category.dataTarget);

    if (category.name === 'Dredger') {
        img.addClass('dredger'); // Add 'dredger' class for the Dredger category
    }

    // Add click event listener to show vessels modal
    colDiv.on('click', () => {
        const vessels = data.Vessel.filter(vessel => vessel.vesselsCategoryId === category.id);
        showVesselsModal(category.name,category.capacityType, vessels);
    });

    colDiv.append(img);
    colDiv.append(h4);
    colDiv.append(h1);

    categoryContainer.append(colDiv);
});

function showVesselsModal(categoryName, capacityType, vessels) {
    // Modal title
    $('#vesselsModalTitle').text(categoryName);

    // Clear previous vessel list
    $('#vesselsModalBody').empty();

    // Populate modal with vessel data
    vessels.forEach(vessel => {
        const divider = $('<hr>').addClass('divider');
        const row = $('<div>').addClass('row align-items-center');
        const colImg = $('<div>').addClass('col-sm-12 col-md-4 col-lg-4 col-xl-4 text-center');
        const img = $('<img>').attr({
            src: vessel.imageSrc,
            class: 'w-100 mb-sm-2',
            alt: categoryName,
            loading: 'lazy'
        });
        const colDetails = $('<div>').addClass('col-sm-12 col-md-8 col-lg-8 col-xl-8');
        const innerRow = $('<div>').addClass('row');

        const colDetailsLeft = $('<div>').addClass('col-sm-12 col-md-6 col-lg-6 col-xl-6');
        const nameDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-30').text('Name:'),
            $('<dd>').addClass('font-weight-bold').text(categoryName.toUpperCase() + ' '+ vessel.name)
        );
        const lengthDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-30').text('Length:'),
            $('<dd>').text(formatNumber(vessel.length) + 'm')
        );
        const breadthDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-30').text('Breadth:'),
            $('<dd>').text(formatNumber(vessel.breadth) + 'm')
        );
        const depthDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-30').text('Depth:'),
            $('<dd>').text(formatNumber(vessel.depth) + 'm')
        );
        const capacityDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-30').text('Capacity:'),
            $('<dd>').text(vessel.capacity === 0 ? '': vessel.capacity + capacityType)
        );

        colDetailsLeft.append(nameDl, lengthDl, breadthDl, depthDl, capacityDl);

        const colDetailsRight = $('<div>').addClass('col-sm-12 col-md-6 col-lg-6 col-xl-6');
        const loadedDraftDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-50').text('Loaded Draft:'),
            $('<dd>').text(formatNumber(vessel.loadedDraft) + 'm')
        );
        const grossTonnageDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-50').text('Gross Tonnage:'),
            $('<dd>').text(formatNumber(vessel.grossTonnage) + 'GT')
        );
        const netTonnageDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-50').text('Net Tonnage:'),
            $('<dd>').text(formatNumber(vessel.netTonnage) + 'NT')
        );

        const deadweightDl = $('<dl>').addClass('d-flex').append(
            $('<dt>').addClass('w-50').text('Deadweight:'),
            $('<dd>').text(vessel.deadWeight === 0 ? '': vessel.deadWeight + ' M. Tons')
        );
        

        function formatNumber(number) {
            if (Number.isInteger(number)) {
                return number.toString();
            } else {
                return number.toFixed(2);
            }
        }

        colDetailsRight.append(loadedDraftDl, grossTonnageDl, netTonnageDl, deadweightDl);

        innerRow.append(colDetailsLeft, colDetailsRight);
        colDetails.append(innerRow);
        colImg.append(img);

        row.append(colImg, colDetails);
        $('#vesselsModalBody').append(row, divider);
    });

    // Show the modal
    $('#vesselsModal').modal('show');
}
    });
});

    </script>
</body>

</html>